Bug 1287928 - Rebase tomcat to 7.0.69 or backport features
Rebase tomcat to 7.0.69 or backport features
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tomcat (Show other bugs)
7.2
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Coty Sutherland
Michal Karm Babacek
Lucie Maňásková
: FutureFeature, Rebase
Depends On:
Blocks: 1203710 1298191 1313485 1293292 1311622 1320853 1347129 1347133 1347136 1347139 1347142 1347144 1347146
  Show dependency treegraph
 
Reported: 2015-12-02 21:22 EST by Louis Abel
Modified: 2016-11-03 17:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_tomcat_ rebased to version 7.0.69 The _tomcat_ packages have been rebased to version 7.0.69. Notable changes include: * Resolved numerous bugs and vulnerabilities * Added the HSTS and VersionLoggerListener features * Resolved the NoSuchElementException bug outlined in BZ#1311622
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:09:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Catalina Error Log (2.62 KB, text/plain)
2015-12-02 21:22 EST, Louis Abel
no flags Details

  None (edit)
Description Louis Abel 2015-12-02 21:22:03 EST
Created attachment 1101671 [details]
Catalina Error Log

Description of problem:
Developers in current environment want to use features present in later versions of tomcat 7. For example, org.apache.catalina.startup.VersionLoggerListener. This is not present in 7.0.54, nor can I can find a similar/related function.

Our developers would like this feature, but it's not available. 

Version-Release number of selected component (if applicable): 7.0.54-2


How reproducible:
All the time.

Steps to Reproduce:
1. yum install tomcat
2. Modify /etc/tomcat/server.xml to include: <Listener className="org.apache.catalina.startup.VersionLoggerListener" />
3. Start tomcat

Actual results:
 tomcat.service - Apache Tomcat Web Application Container
   Loaded: loaded (/etc/systemd/system/tomcat.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2015-12-03 01:42:48 GMT; 34min ago
(See attached log)

Expected results:
Successful startup and use of classes.

Additional info:

There is another bug report here: 1154978 -- One of the latest comments notes that there is an attempt to get Tomcat 7.0.65 to EPEL for EL 6. This is fine, however, but it does not align with what's available in EL7 at this present time. 

I am also up for any other suggestions to help my customers work around this issue.
Comment 19 errata-xmlrpc 2016-11-03 17:09:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2599.html

Note You need to log in before you can comment on or make changes to this bug.